mp.events.add({
    'playerJoin' : (player) => {
        player.call('particleFx:setup', [mp.particleFx.toArray()]);
    },
    'onPlayerParticleFxStreamIn' : (player, particleId) => {
        console.log(`[onPlayerParticleFxStreamIn] => ${player.name} - ${particleId}`);
    },
    'onPlayerParticleFxStreamOut' : (player, particleId) => {
        console.log(`[onPlayerParticleFxStreamOut] => ${player.name} - ${particleId}`);
    },
    'onParticleFxEntityDisconnect' : (player, particleId) => {
        console.log(`[onParticleFxEntityDisconnect] => ${player.name} - ${particleId}`);

        const particle = mp.particleFx.get(particleId);
        if(particles) {
            particle.destroy();
        }
    }
});