// FX Car Wash
mp.events.addCommand({
    'fx_carwash2_stop' : (player) => player.stopParticleFx('car.wash2'),
    'fx_carwash2' : (player) => {
        const  
            id = 'car.wash2', 
            fxName = 'scr_carwash', 
            effectName = 'ent_amb_car_wash_jet',
            position = { x: player.position.x, y: player.position.y, z: player.position.z + 3.0 },
            rotation = { x: 0, y: 0, z: 0 },
            scale = 15.0,
            xAxis = true, 
            yAxis = true, 
            zAxis = true
        ;

        player.startParticleFxLoopedAtCoord(id, fxName, effectName, position, rotation, scale, xAxis, yAxis, zAxis);
    }
})


// FX Barber
mp.events.addCommand({
    'fx_barber2' : (player) => {
        const  
            id = 'barber2', 
            fxName = 'scr_barbershop', 
            effectName = 'scr_barbers_haircut',
            position = { x: player.position.x, y: player.position.y, z: player.position.z + 0.85 },
            rotation = { x: 0, y: 0, z: 0 },
            scale = 1.0,
            xAxis = true, 
            yAxis = true, 
            zAxis = true
        ;

        player.startParticleFxLoopedAtCoord(id, fxName, effectName, position, rotation, scale, xAxis, yAxis, zAxis);
        setTimeout(() => player.stopParticleFx('barber2'), 900);
    }
});